- Extend tracking details submission deadline for this online transaction
Get the list of Shippo shipping rates available
Get the supported carriers
Confirm delivery for this online transaction
Confirm delivery for this online transaction
Generate a shipment label for this online transaction's parcel
Get the shipping details of the buyer from this online transaction
Post the shipping details of the buyer from this online transaction
Set the sender's or recipient's address for Shippo shipment
Send a customs declaration for this online transaction's shipment
Set Shippo parcel details for this online transaction
Get Shippo generated label details for this online transaction
Set Shippo shipping rate for this online transaction
Get Shippo shipping rates based on the sender's and recipient's address and parcel details
Set postal tracking details for this online transaction
Set postal tracking details for this online transaction
Extend tracking details s...
This endpoint allows the buyer to extend the tracking details submission deadline for the seller.
Security
OAuth2
POST
curl -i -X POST \
'https://dev.stage.trustap.com/api/v1/transactions/{transaction_id}/extend_tracking_deadline' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'OK
The currency of the transaction. Note that, at present, the buyer must pay using the transaction's currency and the seller will be paid in the transaction's currency.
Example:"eur"
URL of the image displayed on the Trustap payment page to show the buyer the item they are paying for. Supports jpg, png, gif, bmp and svg files. Images displayed as a squares. Non-square images are cropped
If the transaction is paid via a delayed payment method, such as SEPA debit, this field will be true until the payment has fully succeeded or failed.
Example:false
If the transaction is created from a listing then this is the ID of that listing; otherwise this property is omitted.
Example:
{ "barcode": "ABC123456", "barcode_generated": "2019-12-26T14:00:00Z" }
Response
{ "buyer_id": "feb33a87-3917-4538-9260-127c8a6b5232", "charge": 78, "charge_buyer_client": 0, "charge_seller": 0, "charge_seller_client": 0, "client_id": "trustap-app", "created": "2019-12-25T09:00:00Z", "currency": "eur", "delivered": "2019-12-25T13:00:00Z", "description": "Soccer ticket", "funds_released": "2019-12-26T14:00:00Z", "id": 1309, "is_payment_in_progress": false, "joined": "2019-12-25T10:00:00Z", "paid": "2019-12-25T11:00:00Z", "posta_hr_tracking": { "barcode": "ABC12345", "barcode_generated": "2019-12-25T12:00:00Z" }, "price": 1234, "quantity": 1, "seller_id": "ad5bb99f-85bf-47e1-be0d-15e7541c6ad7", "status": "funds_released", "tracked": "2019-12-25T12:00:00Z", "tracking": { "carrier": "ups", "tracking_code": "***" } }